# SkyTrax Web Scraping

## Creating a Project and Installation :&#x20;

{% embed url="<https://youtu.be/0kqH7lW1VQw>" %}

## Fetching Airline Names&#x20;

{% embed url="<https://youtu.be/SiSW_5IAkXs>" %}

## Part 1 - Scraping Reviews From Airline

{% embed url="<https://youtu.be/YAGYsnSNmUM>" %}

## Part 2 - Scraping Reviews From A Airline

{% embed url="<https://youtu.be/1fma09hdbLM>" %}

## Part 3 - Scraping Reviews

{% embed url="<https://youtu.be/33-u-B-9LJk>" %}

## Fetching Table Data

{% embed url="<https://youtu.be/l1qPuygelWk>" %}

## Creating Recorded Date Column

{% embed url="<https://youtu.be/2BN2NDQBgL4>" %}

## Rating Problem

{% embed url="<https://youtu.be/yAhrzCowOEg>" %}

## SQL Injection

{% embed url="<https://youtu.be/0XHZ-pFwo-0>" %}

## Basic Data Cleaning

{% embed url="<https://youtu.be/FPct9HSTd2A>" %}

## Table Creation

{% embed url="<https://youtu.be/bec2C2-2ZmM>" %}

## Create Table Query&#x20;

```python
create_table_query = """
CREATE TABLE airline (
    id INT PRIMARY KEY IDENTITY(1,1),
    recorded_date DATE NULL,
    review_date TEXT NULL,
    airline VARCHAR(255) NULL,
    title TEXT NULL,
    review TEXT NULL,
    over_all_rating TEXT NULL,
    name VARCHAR(255) NULL,
    date VARCHAR(255) NULL,
    text TEXT NULL,
    type_of_traveller VARCHAR(255) NULL,
    seat_type VARCHAR(255) NULL,
    route VARCHAR(255) NULL,
    date_flown VARCHAR(255) NULL,
    seat_comfort VARCHAR(255) NULL,
    cabin_staff_service VARCHAR(255) NULL,
    food__beverages VARCHAR(255) NULL,
    ground_service VARCHAR(255) NULL,
    value_for_money VARCHAR(255) NULL,
    recommended VARCHAR(255) NULL,
    aircraft VARCHAR(255) NULL,
    inflight_entertainment VARCHAR(255) NULL,
    wifi__connectivity VARCHAR(255) NULL,
    airline_id VARCHAR(255) NULL,

);

"""

```

## Part 2 - Table Creation

{% embed url="<https://youtu.be/p8an5AwQP1g>" %}

## Data Insertion

{% embed url="<https://youtu.be/NBW7XgZRMfY>" %}

## Automation

{% embed url="<https://youtu.be/P5TRJkK8nII>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.consoleflare.com/projects/skytrax-airline-review-analysis-pipeline/skytrax-web-scraping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
